Code-Scans auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/code-scans/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/code-scans/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/code-scans/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"effort": "normal",
"host": "<string>",
"org_id": "<string>",
"profile": {
"name": "<string>",
"profile_id": "<string>"
},
"repo_name": "<string>",
"scan_id": "<string>",
"scan_type": "security",
"status": "waiting",
"url": "<string>",
"outpost_pool_id": "<string>",
"platform": "<string>",
"repo_full_name": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code-Scans (Enterprise)
Code-Scans auflisten (Devin API)
Devin-Code-Scans in einem Enterprise auflisten und den Scanstatus abfragen – mit Filtern nach Zeit, Repository und Organisation über die v3-API
GET
/
v3
/
enterprise
/
code-scans
/
scans
Code-Scans auflisten
Berechtigungen
Erfordert einen Service-Benutzer oder ein persönliches Zugriffstoken mit der BerechtigungViewAccountCodeScans auf Unternehmensebene.
Verhalten
Gibt Code-Scans im gesamten Enterprise zurück, die neuesten zuerst. Verwenden Sie dies, um denstatus eines mit Code-Scan starten gestarteten Scans abzufragen: waiting → pending → running → completed (oder failed / cancelled). awaiting_user_input gilt nur für interaktive Scans: Ein mit interactive: true (oder interaktiv über die Web-App) gestarteter Sicherheitsscan pausiert zwischen Bedrohungsmodellierung und Untersuchung in diesem Status, damit der Nutzer die Ergebnisse prüfen kann.
Filter
time_after/time_before: Unix-Zeitstempel in Sekunden (UTC), die den Erstellungszeitpunkt des Scans eingrenzen.repo_name: nur Scans, die dieses Repository gescannt haben. Schließt auch Multi-Repo-Scans ein, die dieses Repository enthalten.org_ids: nur Scans in diesen Organisationen.
after / first) paginiert. Verwenden Sie für eine einzelne Organisation Code-Scans auflisten (Organisation).Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Nach Scans filtern, die dieses Repository gescannt haben. Erfasst auch Multi-Repo-Scans, selbst wenn das Repository nicht das primäre Repo des Scans ist. Daher können die zurückgegebenen Einträge einen anderen Wert für repo_name aufweisen.
Nach Scans in diesen Organisationen filtern.
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Performance-Gründen weggelassen werden).

